<?php

namespace App\Generated\V1_1\Messages\Im;

use Kamicloud\StubApi\Concerns\ValueHelper;
use Kamicloud\StubApi\Http\Messages\Message;
use App\Generated\V1_1\DTOs\TimMessageDTO;
use Kamicloud\StubApi\Utils\Constants;

class GetUsersLatestsMessage extends Message
{
    use ValueHelper;

    protected $uids;
    protected $messages;

    /**
     * @return int[]
     */
    public function getUids()
    {
        return $this->uids;
    }

    public function requestRules()
    {
        return [
            ['uids', 'uids', 'bail|integer', Constants::INTEGER | Constants::ARRAY, null],
        ];
    }

    public function responseRules()
    {
        return [
            ['messages', 'messages', TimMessageDTO::class, Constants::MODEL | Constants::ARRAY, null],
        ];
    }

    public function setResponse($messages)
    {
        $this->messages = $messages;
    }

}
